Databases - List Metric Definitions

データベース メトリック定義を返します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/metricDefinitions?api-version=2014-04-01

URI パラメーター

名前 / 必須 型 説明
databaseName
path True

string

データベースの名前。

resourceGroupName
path True

string

リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string

Azure サブスクリプションを識別するサブスクリプション ID。

api-version
query True

string

要求に使用する API バージョン。

応答

名前 型 説明
200 OK

MetricDefinitionListResult

わかりました

例

List database usage metrics

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6730/providers/Microsoft.Sql/servers/sqlcrudtest-9007/databases/3481/metricDefinitions?api-version=2014-04-01

応答のサンプル

{
  "value": [
    {
      "name": {
        "value": "cpu_percent",
        "localizedValue": "CPU percentage"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT15S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT60S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "physical_data_read_percent",
        "localizedValue": "Data IO percentage"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT15S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT60S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "log_write_percent",
        "localizedValue": "Log IO percentage"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT15S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT60S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "dtu_consumption_percent",
        "localizedValue": "DTU percentage"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT15S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT60S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "storage",
        "localizedValue": "Total database size"
      },
      "unit": "Bytes",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Maximum",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "xtp_storage_percent",
        "localizedValue": "In-Memory OLTP storage percent"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT15S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT60S",
          "retention": "PT1H"
        },
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "workers_percent",
        "localizedValue": "Workers percentage"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "sessions_percent",
        "localizedValue": "Sessions percentage"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "dtu_limit",
        "localizedValue": "DTU limit"
      },
      "unit": "Count",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "dtu_used",
        "localizedValue": "DTU used"
      },
      "unit": "Count",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Average",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "connection_successful",
        "localizedValue": "Successful Connections"
      },
      "unit": "Count",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Total",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "connection_failed",
        "localizedValue": "Failed Connections"
      },
      "unit": "Count",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Total",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "blocked_by_firewall",
        "localizedValue": "Blocked by Firewall"
      },
      "unit": "Count",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Total",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "deadlock",
        "localizedValue": "Deadlocks"
      },
      "unit": "Count",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Total",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    },
    {
      "name": {
        "value": "storage_percent",
        "localizedValue": "Database size percentage"
      },
      "unit": "Percent",
      "resourceUri": "/subscriptions/b6a6e0c5-e79c-4c6d-a878-72eafbca4cf2/resourceGroups/QA/providers/Microsoft.Sql/servers/nafantest/databases/db1",
      "primaryAggregationType": "Maximum",
      "metricAvailabilities": [
        {
          "timeGrain": "PT5M",
          "retention": "P14D"
        },
        {
          "timeGrain": "PT1H",
          "retention": "P14D"
        },
        {
          "timeGrain": "P1D",
          "retention": "P14D"
        }
      ]
    }
  ]
}

定義

名前 説明
MetricAvailability

メトリックの可用性値。

MetricDefinition

データベース メトリック定義。

MetricDefinitionListResult

リスト データベース メトリック定義要求への応答。

MetricName

データベース メトリック名。

PrimaryAggregationType

メトリック値の表示方法を定義する主要な集計の種類。

UnitDefinitionType

メトリックの単位。

MetricAvailability

メトリックの可用性値。

名前 型 説明
retention

string

データベース メトリックのリテンション期間の長さ。

timeGrain

string

データベース メトリックの粒度。

MetricDefinition

データベース メトリック定義。

名前 型 説明
metricAvailabilities

MetricAvailability[]

メトリックのデータベース メトリックの可用性の一覧。

name

MetricName

メトリックの名前情報。

primaryAggregationType

PrimaryAggregationType

メトリック値の表示方法を定義する主要な集計の種類。

resourceUri

string

データベースのリソース URI。

unit

UnitDefinitionType

メトリックの単位。

MetricDefinitionListResult

リスト データベース メトリック定義要求への応答。

名前 型 説明
value

MetricDefinition[]

データベースのメトリック定義の一覧。

MetricName

データベース メトリック名。

名前 型 説明
localizedValue

string

データベース メトリックのフレンドリ名。

value

string

データベース メトリックの名前。

PrimaryAggregationType

メトリック値の表示方法を定義する主要な集計の種類。

値 説明
None
Average
Count
Minimum
Maximum
Total

UnitDefinitionType

メトリックの単位。

値 説明
Count
Bytes
Seconds
Percent
CountPerSecond
BytesPerSecond